Subject: Re: [Sip] Change to IETF RFC and draft rules

From: "Syed Shams Uddin Ahmad/IT/LHR" <[email-masked]>
Date: Wed, 14 Jan 2009 21:37:11 +0500

I think he is right.

Shams

__________________________________________
Sent from my Mobilink BlackBerry Wireless Handheld

----- Original Message -----
From: [email-masked] <[email-masked]>
To: SIP List <[email-masked]>
Sent: Wed Jan 14 21:29:18 2009
Subject: Re: [Sip] Change to IETF RFC and draft rules

The advice in the previous mail applies, but there is some ongoing work to provide some flexibility as follows. As we will not know the result of this for 30 days, I strongly suggest you do continue gathering the appropriate rights from text authors:

>From: "Ed Juskevicius" <[email-masked]>
>To: "'IETF Discussion'" <[email-masked]>, <[email-masked]>,
>         <[email-masked]>, <[email-masked]>, <[email-masked]>,
>         <[email-masked]>
>Date: Thu, 8 Jan 2009 16:43:50 -0500
>Cc: 'Trustees' <[email-masked]>
>Subject: [Trustees] ANNOUNCEMENT: The IETF Trustees invite your review and
>         comments on a proposed Work-Around to the Pre-5378 Problem
>
>The purpose of this message is twofold:
>
>1) To summarize the issues that some members of our community
>    have experienced since the publication of RFC 5378 in November 2008,
>    and
>2) To invite community review and discussion on a potential work-around
>    being considered by the IETF Trustees.
>
>Some I-D authors are having difficulty implementing RFC 5378.  An 
>example of the difficulty is as follows:
>
>   - an author wants to include pre-5378 content in a new submission
>     or contribution to the IETF, but
>   - s/he is not certain that all of the author(s) of the earlier
>     material have agreed to license it to the IETF Trust according
>     to RFC 5378.
>
>If an I-D author includes pre-5378 material in a new document, then 
>s/he must represent or warrant that all of the authors who created the
>pre-5378 material have granted rights for that material to the IETF Trust.
>If s/he cannot make this assertion, then s/he has a problem.
>
>This situation has halted the progression of some Internet-Drafts and 
>interrupted the publication of some RFCs.  The Trustees of the IETF 
>Trust are investigating ways to implement a temporary work-around so 
>that IETF work can continue to progress.  A permanent solution to this 
>"pre-5378 problem" may require an update to RFC 5378, for example new 
>work by the community to create a 5378-bis document.
>
>The remainder of this message provides an outline of the temporary 
>work- around being considered by the Trustees.
>
>RFC 5378 sections 1.j and 5.3.c provide the IETF Trust with the 
>authority to develop legend text for authors to use in situations where 
>they wish to limit the granting of rights to modify and prepare 
>derivatives of the documents they submit.  The Trustees used this 
>authority in 2008 to develop and adopt the current "Legal Provisions 
>Relating to IETF Documents" which are posted at:
>http://trustee.ietf.org/license-info/.
>
>The Trustees are now considering the creation of optional new legend 
>text which could be used by authors experiencing the "pre-5378 problem".
>
>The new legend text, if implemented, would do the following:
>
>   a. Provide Authors and Contributors with a way to identify (to the
>      IETF Trust) that their contributions contain material from pre-5378
>      documents for which RFC 5378 rights to modify the material outside
>      the IETF standards process may not have been granted, and
>
>   b. Provide the IETF Trust and the community with a clear indication
>      of every document containing pre-5378 content and having the
>      "pre-5378 problem".
>
>So, how could the creation and use of some new legend text help people 
>work-around the pre-5378 problem?
>
>The proposed answer is as follows:
>
>   1. Anyone having a contribution with the "pre-5378" problem should add
>      new legend text to the contribution, to clearly flag that it includes
>      pre-5378 material for which all of the rights needed under RFC 5378
>      may not have been granted, and
>
>   2. The IETF Trust will consider authors and contributors (with the
>      pre-5378 problem) to have met their RFC 5378 obligations if the
>      new legend text appears on their documents, and
>
>   3. Authors and contributors should only resort to adding the new
>      legend text to their documents (per #1) if they cannot develop
>      certainty that all of the author(s) of pre-5378 material in
>      their documents have agreed to license the pre-5378 content to
>      the IETF Trust according to RFC 5378.
>
>The proposed wording for the new legend text is now available for your 
>review and comments in section 6.c.iii of a draft revision to the IETF 
>Trust's "Legal Provisions Relating to IETF Documents" located at 
>http://trustee.ietf.org/policyandprocedures.html.
>
>Please note that the above document also contains new text in section 
>5.c dealing with "License Limitations".
>
>If your review and feedback on this proposed work-around is positive, 
>then the new text may be adopted by the Trustees in early February 
>2009, and then be published as an official revision to the Legal 
>Provisions document.  If so adopted, Internet-Drafts with pre-5378 
>material may advance within the Internet standards process and get 
>published as RFCs where otherwise qualified to do so.  Unless covered 
>by sections 6.c.i or 6.c.ii, authors of documents in which there is no 
>pre-5378 material must provide a RFC 5378 license with no limitation on 
>modifications outside the IETF standards process.
>
>The IETF Trust will not grant the right to modify or prepare derivative 
>works of any specific RFC or other IETF Contribution outside the IETF 
>standards process until RFC 5378 rights pertaining to that document 
>have been obtained from all authors and after compliance by the IETF 
>Trust with RFC 5377.  The Trustees will establish one or more 
>mechanisms by which authors of pre-5378 documents may grant RFC 5378 rights.
>
>The Trustees hereby invite your review, comments and suggestions on 
>this proposed work-around to the "pre-5378 problem".  The period for 
>this review is 30 days.  Microsoft WORD and PDF versions of the 
>proposed revisions are attached to this message.  Copies are also 
>available on the IETF Trust website under the heading "DRAFT Policy and Procedures Being Developed" at:
>http://trustee.ietf.org/policyandprocedures.html
>
>All feedback submitted before the end of February 7th will be 
>considered by the Trustees.  A decision on whether to move forward with 
>this proposal will be made and communicated to you before the end of February 15th.
>
>Please give this your attention.
>
>Regards and Happy New Year !
>
>Ed Juskevicius, on behalf of the IETF Trustees [email-masked] 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of DRAGE, Keith (Keith)
> Sent: Wednesday, January 14, 2009 3:47 PM
> To: SIP List
> Subject: [Sip] Change to IETF RFC and draft rules
> 
> Calling all SIP authors and editors:
> 
> If you are revising an existing internet draft or using 
> significant text from an existing RFC (e.g. to provide a bis 
> version) the the rights the original author granted to IETF 
> for use of that text no longer apply and new rules are in 
> effect for all submitted text.
> 
> Obviously you can make a decision on text you supplied as to 
> whether the new grant of rights is OK to you or not. However 
> you will need to contact the authors of any other material 
> and ensure that they have also agreed to the text being used 
> under the new rights.
> 
> It would be appropriate for you to do this now, rather than 
> wait for the submission deadline to find that you have a problem.
> 
> The relevant RFC covering this is RFC 5378 and the 
> appropriate section is as follows (if you need to consult 
> with your legal people please use RFC 5378 for the discussion 
> and none of the text of this email):
> 
> 5.3.  Rights Granted by Contributors to the IETF Trust
> 
>    To the extent that a Contribution or any portion thereof 
> is protected
>    by copyright or other rights of authorship, the 
> Contributor and each
>    named co-Contributor grant a perpetual, irrevocable, non-exclusive,
>    royalty-free, world-wide, sublicensable right and license 
> to the IETF
>    Trust under all such copyrights and other rights in the 
> Contribution:
> 
>    a. to copy, publish, display, and distribute the Contribution, in
>       whole or in part,
> 
>    b. to prepare translations of the Contribution into languages other
>       than English, in whole or in part, and to copy, 
> publish, display,
>       and distribute such translations or portions thereof,
> 
>    c. to modify or prepare derivative works (in addition to
>       translations) that are based on or incorporate all or 
> part of the
>       Contribution, and to copy, publish, display, and distribute such
>       derivative works, or portions thereof unless explicitly 
> disallowed
>       in the notices contained in a Contribution (in the form 
> specified
>       by the Legend Instructions), and
> 
>    d. to reproduce any trademarks, service marks, or trade names which
>       are included in the Contribution solely in connection with the
>       reproduction, distribution, or publication of the 
> Contribution and
>       derivative works thereof as permitted by this Section 5.3,
>       provided that when reproducing Contributions, trademark and
>       service mark identifiers used in the Contribution, including TM
>       and (R), will be preserved.
> 
> Essentially when you submit an internet draft, you sign up to 
> this, but you need to ensure that you have the ability to 
> transfer those rights in the first place, which is where this 
> message comes in.
> 
> You may also find it appropriate to read RFC 5377 as well.
> 
> Please note that I am not a legal expert, and you may find 
> that if you have questions of interpretation, you will 
> receive a better (and quicker) answer on the main IETF 
> discussion list, rather than from the SIP list or from the 
> SIP WG chairs!
> 
> regards
> 
> Keith
> 
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip 
> Use [email-masked] for new developments on the application of sip
> 
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

This email has been scanned virus free @ Mobilink
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip